> ## Name

> cgGLGetParameter3d - get the values from a scalar or vector parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLGetParameter3d( CGparameter param,
>                              double * v );

> ## Parameters

> param
>   The parameter from which the values will be retrieved.
> v
>   Destination buffer into which the values will be written.

> ## Return Values

> None.

> ## Description

> cgGLGetParameter3d extracts parameter values set by the cgGLSetParameter functions.

> cgGLGetParameter3d may only be called with uniform numeric parameters.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGLGetParameter3d was introduced in Cg 1.1.

> ## See Also

> cgGLSetParameter, cgGLGetParameterArray